Get Observability projects
- Base URL
-
https://api.elastic-cloud.com
- GET /api/v1/serverless/projects/observability
Fetches a list of Observability projects.
Query parameters
-
linkedstring · pattern: ^[a-z0-9]{32}$ -
Contains a project ID. If specified, the result will be filtered to only those origin projects that are linked to the specified project ID in a cross-project search configuration.
-
If specified, the result will be filtered to only those projects that have the specified tags and corresponding values.
Responses
The Observability project list
-
itemsobjectrequired -
The actual projects.
-
aliasstring · min length: 8 · max length: 57 · pattern: ^[a-zA-Z]{1}(?:[a-zA-Z0-9-]*[a-zA-Z0-9]{1})?$required -
A domain label compatible with RFC-1035 standards. Project alias with a unique suffix added by the system to avoid naming conflicts.
-
metadataobjectrequired -
Additional details about the project.
-
Tags associated with a project in the form of key-value pairs. Tags are limited to a minimum of 1 and a maximum of 64 per project. Each tag key must begin with a lowercase letter (a-z), contain only lowercase letters, digits, underscores, and hyphens (a-z0-9_-), and have a maximum length of 32 characters.
-
System tags associated with a project in the form of key-value pairs. These tags are added by the internal system and are read-only. The keys are prefixed with an underscore to differentiate them from user tags.
-
cloud_idstringrequired -
The cloud ID, an encoded string that provides other Elastic services with the necessary information to connect to this Elasticsearch and Kibana.
-
product_tier -
the tier of the observability project. The default is "complete" when not specified at creation time.
-
Values:
completelogs_essentials